Create catalog
curl --request POST \
--url https://api.squared.ai/api/v1/catalogs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"connector_id": 6,
"catalog": {
"json_schema": {
"key": "value"
}
}
}
'import requests
url = "https://api.squared.ai/api/v1/catalogs"
payload = {
"connector_id": 6,
"catalog": { "json_schema": { "key": "value" } }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({connector_id: 6, catalog: {json_schema: {key: 'value'}}})
};
fetch('https://api.squared.ai/api/v1/catalogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"connector_id": 6,
"workspace_id": 2,
"catalog": {
"json_schema": {
"key": "value"
}
},
"created_at": "2023-08-20T15:28:00Z",
"updated_at": "2023-08-20T15:28:00Z"
}Catalogs
Create Catalog
POST
/
api
/
v1
/
catalogs
Create catalog
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I